{% extends 'base.html.twig' %}

{% block body %}

	<h1>Statystyki</h1>

	<form role="search" action="{{ path('stat_mechanic') }}">
		<div class="form-group">
			<label>
				Wybierz Mechanika:
			</label>
			<select name="mechanic">
				{% for key,mechanic in mechanic %}
					<option value="{{ mechanic.id }}" {% if mechanic_id is defined and mechanic_id is not empty and mechanic_id == mechanic.id %} selected {% endif %}>{{ mechanic.name }}</option>
				{% endfor %}
			</select>
			<select name="okres">
				<option value="all" {% if okres == 'all' %} selected {% endif %}>All</option>
				<option value="day" {% if okres == 'day' %} selected {% endif %}>1 Dzień</option>
				<option value="1tydzien" {% if okres == '1tydzien' %} selected {% endif %}>1 Tydzień</option>
				<option value="2tydzien" {% if okres == '2tydzien' %} selected {% endif %}>2 Tygodnie</option>
				<option value="3tydzien" {% if okres == '3tydzien' %} selected {% endif %}>3 Tygodnie</option>
				<option value="1mies" {% if okres == '1mies' %} selected {% endif %}>1 Miesiąc</option>
				<option value="2mies" {% if okres == '2mies' %} selected {% endif %}>2 Miesiące</option>
				<option value="3mies" {% if okres == '3mies' %} selected {% endif %}>3 Miesiące</option>
			</select>
		</div>
		<button type="submit" class="btn btn-default">Szukaj</button>
	</form>

	<div>
		{% if parts is defined and parts is not empty %}
			<table class="table table-striped">
				<thead>
					<th>#</th>
					<th>Samochód</th>
					<th>Dzień</th>
					<th>Usługa</th>
					<th>Cena [zł]</th>
				</thead>
				<tbody>
				{% set sum = 0 %}
					{% for k,p in parts %}
						{% set sum = sum + p.Price %}
						<tr>
							<td>{{ k+1 }}</td>
							<td>{{ p.Repair.Car.registration }}</td>
							<td>{{ p.createdat|date('Y-m-d') }}</td>
							<td>{{ p.name }}</td>
							<td>{{ p.price }}</td>
						</tr>
					{% endfor %}
						<tr>
							<td></td>
							<td></td>
							<td></td>
							<td><b>Suma:</b></td>
							<td>{{ sum }}</td>
						</tr>
				</tbody>
			</table>
		{% endif %}
	</div>

{% endblock %}